{
    *******************************************************
    * "De Delphi  C# avec BDS 2006"  ISBN 2-212-11768-X  *
    *******************************************************
    *                                                     *
    * Code source correspond aux exemples traits dans l' *
    * ouvrage.                                            *
    *                                                     *
    * Environment : Borland Developer Studio 2006         *
    * Test sur la version Architecte Franaise patch 1   *
    *                                                     *
    * Copyright   : Olivier Dahan                         *
    *                                                     *
    * Aucune copie, distribution, publication sans l'     *
    * accord exprs de l'auteur.                          *
    * Le prsent code source est fourni "tel quel"       *
    * titre d'illustration des propos techniques du livre *
    * Aucune garantie de fonctionnement ou d'adaptation   *
    * n'est fournie, aucune maintenance corrective ou     *
    * volutive ne sera fournie sur le prsent code.      *
    * Vous utilisez ce code sous votre seule responsabi-  *
    * lit et  vos risques et prils. L'auteur ne serait *
    * tre tenu pour responsable d'ventuelles pertes de  *
    * donnes ou de jouissance qui pourraient rsulter de *
    * l'utilisation du prsent code.                      *
    *                                                     *
    * Contact          : BDSLivre@e-naxos.com             *
    * Site de l'auteur : http://www.e-naxos.com           *
    *******************************************************

}


unit MainForm;

interface

uses
  System.Drawing, System.Collections, System.ComponentModel,
  System.Windows.Forms, System.Data, Borland.Data.Provider, Borland.Data.Common, 
  System.Globalization;

type
  TWinForm2 = class(System.Windows.Forms.Form)
  {$REGION 'Code manag du concepteur'}
  strict private
    /// <summary>
    /// Variable concepteur obligatoire.
    /// </summary>
    Components: System.ComponentModel.Container;
    BdpConnection1: Borland.Data.Provider.BdpConnection;
    DataSet1: System.Data.DataSet;
    BdpCommand1: Borland.Data.Provider.BdpCommand;
    bdpInsertCommand1: Borland.Data.Provider.BdpCommand;
    bdpUpdateCommand1: Borland.Data.Provider.BdpCommand;
    bdpDeleteCommand1: Borland.Data.Provider.BdpCommand;
    BdpDataAdapter1: Borland.Data.Provider.BdpDataAdapter;
    DataTable1: System.Data.DataTable;
    DataColumn1: System.Data.DataColumn;
    DataColumn2: System.Data.DataColumn;
    DataColumn3: System.Data.DataColumn;
    DataColumn4: System.Data.DataColumn;
    DataColumn5: System.Data.DataColumn;
    DataColumn6: System.Data.DataColumn;
    DataColumn7: System.Data.DataColumn;
    DataColumn8: System.Data.DataColumn;
    DataColumn9: System.Data.DataColumn;
    DataColumn10: System.Data.DataColumn;
    DataColumn11: System.Data.DataColumn;
    DataColumn12: System.Data.DataColumn;
    DataColumn13: System.Data.DataColumn;
    DataGrid1: System.Windows.Forms.DataGrid;
    Button1: System.Windows.Forms.Button;
    bdpInsertCommand2: Borland.Data.Provider.BdpCommand;
    bdpUpdateCommand2: Borland.Data.Provider.BdpCommand;
    bdpDeleteCommand2: Borland.Data.Provider.BdpCommand;
    BdpDataAdapter2: Borland.Data.Provider.BdpDataAdapter;
    BdpCommand2: Borland.Data.Provider.BdpCommand;
    DataTable2: System.Data.DataTable;
    DataColumn14: System.Data.DataColumn;
    DataColumn15: System.Data.DataColumn;
    DataColumn16: System.Data.DataColumn;
    DataColumn17: System.Data.DataColumn;
    DataColumn18: System.Data.DataColumn;
    DataColumn19: System.Data.DataColumn;
    DataColumn20: System.Data.DataColumn;
    DataColumn21: System.Data.DataColumn;
    DataColumn22: System.Data.DataColumn;
    DataColumn23: System.Data.DataColumn;
    DataColumn24: System.Data.DataColumn;
    DataColumn25: System.Data.DataColumn;
    DataColumn26: System.Data.DataColumn;
    DataColumn27: System.Data.DataColumn;
    DataColumn28: System.Data.DataColumn;
    DataColumn29: System.Data.DataColumn;
    DataColumn30: System.Data.DataColumn;
    DataColumn31: System.Data.DataColumn;
    DataColumn32: System.Data.DataColumn;
    DataColumn33: System.Data.DataColumn;
    DataColumn34: System.Data.DataColumn;
    DataGrid2: System.Windows.Forms.DataGrid;
    DataGrid3: System.Windows.Forms.DataGrid;
    Panel1: System.Windows.Forms.Panel;
    /// <summary>
    /// Mthode obligatoire pour la gestion du concepteur - Ne modifiez pas
    /// le contenu de cette mthode avec l'diteur de code.
    /// </summary>
    procedure InitializeComponent;
    procedure Button1_Click(sender: System.Object; e: System.EventArgs);
    procedure TWinForm2_Closing(sender: System.Object; e: System.ComponentModel.CancelEventArgs);
  {$ENDREGION}
  strict protected
    /// <summary>
    /// Nettoyage des ressources utilises.
    /// </summary>
    procedure Dispose(Disposing: Boolean); override;
  private
    { Dclarations prives }
  public
    constructor Create;
  end;

  [assembly: RuntimeRequiredAttribute(TypeOf(TWinForm2))]

implementation

{$AUTOBOX ON}

{$REGION 'Code gnr par le concepteur de Windows Form'}
/// <summary>
/// Mthode obligatoire pour la gestion du concepteur - Ne modifiez pas
/// le contenu de cette mthode avec l'diteur de code.
/// </summary>
procedure TWinForm2.InitializeComponent;
type
  TArrayOfSystem_Data_DataRelation = array of System.Data.DataRelation;
  TArrayOfString = array of string;
  TArrayOfSystem_Data_DataTable = array of System.Data.DataTable;
  TArrayOfSystem_Data_DataColumn = array of System.Data.DataColumn;
  TArrayOfSystem_Data_Constraint = array of System.Data.Constraint;
begin
  Self.BdpConnection1 := Borland.Data.Provider.BdpConnection.Create;
  Self.DataSet1 := System.Data.DataSet.Create;
  Self.DataTable1 := System.Data.DataTable.Create;
  Self.DataColumn1 := System.Data.DataColumn.Create;
  Self.DataColumn2 := System.Data.DataColumn.Create;
  Self.DataColumn3 := System.Data.DataColumn.Create;
  Self.DataColumn4 := System.Data.DataColumn.Create;
  Self.DataColumn5 := System.Data.DataColumn.Create;
  Self.DataColumn6 := System.Data.DataColumn.Create;
  Self.DataColumn7 := System.Data.DataColumn.Create;
  Self.DataColumn8 := System.Data.DataColumn.Create;
  Self.DataColumn9 := System.Data.DataColumn.Create;
  Self.DataColumn10 := System.Data.DataColumn.Create;
  Self.DataColumn11 := System.Data.DataColumn.Create;
  Self.DataColumn12 := System.Data.DataColumn.Create;
  Self.DataColumn13 := System.Data.DataColumn.Create;
  Self.DataTable2 := System.Data.DataTable.Create;
  Self.DataColumn14 := System.Data.DataColumn.Create;
  Self.DataColumn15 := System.Data.DataColumn.Create;
  Self.DataColumn16 := System.Data.DataColumn.Create;
  Self.DataColumn17 := System.Data.DataColumn.Create;
  Self.DataColumn18 := System.Data.DataColumn.Create;
  Self.DataColumn19 := System.Data.DataColumn.Create;
  Self.DataColumn20 := System.Data.DataColumn.Create;
  Self.DataColumn21 := System.Data.DataColumn.Create;
  Self.DataColumn22 := System.Data.DataColumn.Create;
  Self.DataColumn23 := System.Data.DataColumn.Create;
  Self.DataColumn24 := System.Data.DataColumn.Create;
  Self.DataColumn25 := System.Data.DataColumn.Create;
  Self.DataColumn26 := System.Data.DataColumn.Create;
  Self.DataColumn27 := System.Data.DataColumn.Create;
  Self.DataColumn28 := System.Data.DataColumn.Create;
  Self.DataColumn29 := System.Data.DataColumn.Create;
  Self.DataColumn30 := System.Data.DataColumn.Create;
  Self.DataColumn31 := System.Data.DataColumn.Create;
  Self.DataColumn32 := System.Data.DataColumn.Create;
  Self.DataColumn33 := System.Data.DataColumn.Create;
  Self.DataColumn34 := System.Data.DataColumn.Create;
  Self.BdpCommand1 := Borland.Data.Provider.BdpCommand.Create;
  Self.bdpInsertCommand1 := Borland.Data.Provider.BdpCommand.Create;
  Self.bdpUpdateCommand1 := Borland.Data.Provider.BdpCommand.Create;
  Self.bdpDeleteCommand1 := Borland.Data.Provider.BdpCommand.Create;
  Self.BdpDataAdapter1 := Borland.Data.Provider.BdpDataAdapter.Create;
  Self.DataGrid1 := System.Windows.Forms.DataGrid.Create;
  Self.Button1 := System.Windows.Forms.Button.Create;
  Self.bdpInsertCommand2 := Borland.Data.Provider.BdpCommand.Create;
  Self.bdpUpdateCommand2 := Borland.Data.Provider.BdpCommand.Create;
  Self.bdpDeleteCommand2 := Borland.Data.Provider.BdpCommand.Create;
  Self.BdpDataAdapter2 := Borland.Data.Provider.BdpDataAdapter.Create;
  Self.BdpCommand2 := Borland.Data.Provider.BdpCommand.Create;
  Self.DataGrid2 := System.Windows.Forms.DataGrid.Create;
  Self.DataGrid3 := System.Windows.Forms.DataGrid.Create;
  Self.Panel1 := System.Windows.Forms.Panel.Create;
  (System.ComponentModel.ISupportInitialize(Self.DataSet1)).BeginInit;
  (System.ComponentModel.ISupportInitialize(Self.DataTable1)).BeginInit;
  (System.ComponentModel.ISupportInitialize(Self.DataTable2)).BeginInit;
  (System.ComponentModel.ISupportInitialize(Self.BdpDataAdapter1)).BeginInit;
  (System.ComponentModel.ISupportInitialize(Self.DataGrid1)).BeginInit;
  (System.ComponentModel.ISupportInitialize(Self.BdpDataAdapter2)).BeginInit;
  (System.ComponentModel.ISupportInitialize(Self.DataGrid2)).BeginInit;
  (System.ComponentModel.ISupportInitialize(Self.DataGrid3)).BeginInit;
  Self.SuspendLayout;
  // 
  // BdpConnection1
  // 
  Self.BdpConnection1.ConnectionOptions := 'waitonlocks=False;commitretain=F' +
  'alse;sqldialect=3;transaction isolation=ReadCommitted;servercharset=;role' +
  'name=';
  Self.BdpConnection1.ConnectionString := 'assembly=Borland.Data.Interbase, ' +
  'Version=2.5.0.0, Culture=neutral, PublicKeyToken=91d62ebb5b0d1b1b;vendorc' +
  'lient=gds32.dll;pooling=True;grow on demand=True;database=..\data\DBDEMOS' +
  '.GDB;username=sysdba;max pool size=100;password=masterkey;provider=Interb' +
  'ase';
  // 
  // DataSet1
  // 
  Self.DataSet1.DataSetName := 'dbdemo';
  Self.DataSet1.EnforceConstraints := False;
  Self.DataSet1.Locale := System.Globalization.CultureInfo.Create('fr-FR');
  Self.DataSet1.Relations.AddRange(TArrayOfSystem_Data_DataRelation.Create(System.Data.DataRelation.Create('C' +
          'ommandes', 'CUSTOMER', 'ORDERS', TArrayOfString.Create('CUSTNO'), 
            TArrayOfString.Create('CUSTNO'), False)));
  Self.DataSet1.Tables.AddRange(TArrayOfSystem_Data_DataTable.Create(Self.DataTable1, 
          Self.DataTable2));
  // 
  // DataTable1
  // 
  Self.DataTable1.Columns.AddRange(TArrayOfSystem_Data_DataColumn.Create(Self.DataColumn1, 
          Self.DataColumn2, Self.DataColumn3, Self.DataColumn4, Self.DataColumn5, 
          Self.DataColumn6, Self.DataColumn7, Self.DataColumn8, Self.DataColumn9, 
          Self.DataColumn10, Self.DataColumn11, Self.DataColumn12, Self.DataColumn13));
  Self.DataTable1.Constraints.AddRange(TArrayOfSystem_Data_Constraint.Create(System.Data.UniqueConstraint.Create('C' +
          'onstraint1', TArrayOfString.Create('CUSTNO'), True)));
  Self.DataTable1.PrimaryKey := TArrayOfSystem_Data_DataColumn.Create(Self.DataColumn1);
  Self.DataTable1.TableName := 'CUSTOMER';
  // 
  // DataColumn1
  // 
  Self.DataColumn1.AllowDBNull := False;
  Self.DataColumn1.ColumnName := 'CUSTNO';
  Self.DataColumn1.DataType := TypeOf(System.Double);
  // 
  // DataColumn2
  // 
  Self.DataColumn2.ColumnName := 'COMPANY';
  // 
  // DataColumn3
  // 
  Self.DataColumn3.ColumnName := 'ADDR1';
  // 
  // DataColumn4
  // 
  Self.DataColumn4.ColumnName := 'ADDR2';
  // 
  // DataColumn5
  // 
  Self.DataColumn5.ColumnName := 'CITY';
  // 
  // DataColumn6
  // 
  Self.DataColumn6.ColumnName := 'STATE';
  // 
  // DataColumn7
  // 
  Self.DataColumn7.ColumnName := 'ZIP';
  // 
  // DataColumn8
  // 
  Self.DataColumn8.ColumnName := 'COUNTRY';
  // 
  // DataColumn9
  // 
  Self.DataColumn9.ColumnName := 'PHONE';
  // 
  // DataColumn10
  // 
  Self.DataColumn10.ColumnName := 'FAX';
  // 
  // DataColumn11
  // 
  Self.DataColumn11.ColumnName := 'TAXRATE';
  Self.DataColumn11.DataType := TypeOf(System.Double);
  // 
  // DataColumn12
  // 
  Self.DataColumn12.ColumnName := 'CONTACT';
  // 
  // DataColumn13
  // 
  Self.DataColumn13.ColumnName := 'LASTINVOICEDATE';
  Self.DataColumn13.DataType := TypeOf(System.DateTime);
  // 
  // DataTable2
  // 
  Self.DataTable2.Columns.AddRange(TArrayOfSystem_Data_DataColumn.Create(Self.DataColumn14, 
          Self.DataColumn15, Self.DataColumn16, Self.DataColumn17, Self.DataColumn18, 
          Self.DataColumn19, Self.DataColumn20, Self.DataColumn21, Self.DataColumn22, 
          Self.DataColumn23, Self.DataColumn24, Self.DataColumn25, Self.DataColumn26, 
          Self.DataColumn27, Self.DataColumn28, Self.DataColumn29, Self.DataColumn30, 
          Self.DataColumn31, Self.DataColumn32, Self.DataColumn33, Self.DataColumn34));
  Self.DataTable2.Constraints.AddRange(TArrayOfSystem_Data_Constraint.Create(System.Data.UniqueConstraint.Create('C' +
          'onstraint1', TArrayOfString.Create('ORDERNO'), True), System.Data.ForeignKeyConstraint.Create('R' +
          'elation1', 'CUSTOMER', TArrayOfString.Create('CUSTNO'), TArrayOfString.Create('C' +
              'USTNO'), System.Data.AcceptRejectRule.Cascade, System.Data.Rule.Cascade, 
            System.Data.Rule.Cascade)));
  Self.DataTable2.PrimaryKey := TArrayOfSystem_Data_DataColumn.Create(Self.DataColumn14);
  Self.DataTable2.TableName := 'ORDERS';
  // 
  // DataColumn14
  // 
  Self.DataColumn14.AllowDBNull := False;
  Self.DataColumn14.ColumnName := 'ORDERNO';
  Self.DataColumn14.DataType := TypeOf(System.Double);
  // 
  // DataColumn15
  // 
  Self.DataColumn15.ColumnName := 'CUSTNO';
  Self.DataColumn15.DataType := TypeOf(System.Double);
  // 
  // DataColumn16
  // 
  Self.DataColumn16.ColumnName := 'SALEDATE';
  Self.DataColumn16.DataType := TypeOf(System.DateTime);
  // 
  // DataColumn17
  // 
  Self.DataColumn17.ColumnName := 'SHIPDATE';
  Self.DataColumn17.DataType := TypeOf(System.DateTime);
  // 
  // DataColumn18
  // 
  Self.DataColumn18.ColumnName := 'EMPNO';
  Self.DataColumn18.DataType := TypeOf(Integer);
  // 
  // DataColumn19
  // 
  Self.DataColumn19.ColumnName := 'SHIPTOCONTACT';
  // 
  // DataColumn20
  // 
  Self.DataColumn20.ColumnName := 'SHIPTOADDR1';
  // 
  // DataColumn21
  // 
  Self.DataColumn21.ColumnName := 'SHIPTOADDR2';
  // 
  // DataColumn22
  // 
  Self.DataColumn22.ColumnName := 'SHIPTOCITY';
  // 
  // DataColumn23
  // 
  Self.DataColumn23.ColumnName := 'SHIPTOSTATE';
  // 
  // DataColumn24
  // 
  Self.DataColumn24.ColumnName := 'SHIPTOZIP';
  // 
  // DataColumn25
  // 
  Self.DataColumn25.ColumnName := 'SHIPTOCOUNTRY';
  // 
  // DataColumn26
  // 
  Self.DataColumn26.ColumnName := 'SHIPTOPHONE';
  // 
  // DataColumn27
  // 
  Self.DataColumn27.ColumnName := 'SHIPVIA';
  // 
  // DataColumn28
  // 
  Self.DataColumn28.ColumnName := 'PO';
  // 
  // DataColumn29
  // 
  Self.DataColumn29.ColumnName := 'TERMS';
  // 
  // DataColumn30
  // 
  Self.DataColumn30.ColumnName := 'PAYMENTMETHOD';
  // 
  // DataColumn31
  // 
  Self.DataColumn31.ColumnName := 'ITEMSTOTAL';
  Self.DataColumn31.DataType := TypeOf(System.Double);
  // 
  // DataColumn32
  // 
  Self.DataColumn32.ColumnName := 'TAXRATE';
  Self.DataColumn32.DataType := TypeOf(System.Double);
  // 
  // DataColumn33
  // 
  Self.DataColumn33.ColumnName := 'FREIGHT';
  Self.DataColumn33.DataType := TypeOf(System.Double);
  // 
  // DataColumn34
  // 
  Self.DataColumn34.ColumnName := 'AMOUNTPAID';
  Self.DataColumn34.DataType := TypeOf(System.Double);
  // 
  // BdpCommand1
  // 
  Self.BdpCommand1.CommandOptions := nil;
  Self.BdpCommand1.CommandText := 'SELECT CUSTNO, COMPANY, ADDR1, ADDR2, CIT' +
  'Y, STATE, ZIP, COUNTRY, PHONE, FAX, TAXRATE, CONTACT, LASTINVOICEDATE FRO' +
  'M CUSTOMER';
  Self.BdpCommand1.CommandType := System.Data.CommandType.Text;
  Self.BdpCommand1.Connection := Self.BdpConnection1;
  Self.BdpCommand1.ParameterCount := (SmallInt(0));
  Self.BdpCommand1.SchemaName := nil;
  Self.BdpCommand1.Transaction := nil;
  Self.BdpCommand1.UpdatedRowSource := System.Data.UpdateRowSource.None;
  // 
  // bdpInsertCommand1
  // 
  Self.bdpInsertCommand1.CommandOptions := nil;
  Self.bdpInsertCommand1.CommandText := 'INSERT INTO CUSTOMER (CUSTNO, COMPA' +
  'NY, ADDR1, ADDR2, CITY, STATE, ZIP, COUNTRY, PHONE, FAX, TAXRATE, CONTACT' +
  ', LASTINVOICEDATE ) VALUES ( ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)';
  Self.bdpInsertCommand1.CommandType := System.Data.CommandType.Text;
  Self.bdpInsertCommand1.Connection := nil;
  Self.bdpInsertCommand1.ParameterCount := (SmallInt(13));
  Self.bdpInsertCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('C' +
      'USTNO', Borland.Data.Common.BdpType.Double, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(8)), (Byte(0)), 
        8, 'CUSTNO', System.Data.DataRowVersion.Current, nil));
  Self.bdpInsertCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('C' +
      'OMPANY', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(30)), (Byte(0)), 
        30, 'COMPANY', System.Data.DataRowVersion.Current, nil));
  Self.bdpInsertCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('A' +
      'DDR1', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(30)), (Byte(0)), 
        30, 'ADDR1', System.Data.DataRowVersion.Current, nil));
  Self.bdpInsertCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('A' +
      'DDR2', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(30)), (Byte(0)), 
        30, 'ADDR2', System.Data.DataRowVersion.Current, nil));
  Self.bdpInsertCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('C' +
      'ITY', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(15)), (Byte(0)), 
        15, 'CITY', System.Data.DataRowVersion.Current, nil));
  Self.bdpInsertCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('S' +
      'TATE', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(20)), (Byte(0)), 
        20, 'STATE', System.Data.DataRowVersion.Current, nil));
  Self.bdpInsertCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('Z' +
      'IP', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(10)), (Byte(0)), 
        10, 'ZIP', System.Data.DataRowVersion.Current, nil));
  Self.bdpInsertCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('C' +
      'OUNTRY', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(20)), (Byte(0)), 
        20, 'COUNTRY', System.Data.DataRowVersion.Current, nil));
  Self.bdpInsertCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('P' +
      'HONE', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(15)), (Byte(0)), 
        15, 'PHONE', System.Data.DataRowVersion.Current, nil));
  Self.bdpInsertCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('F' +
      'AX', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(15)), (Byte(0)), 
        15, 'FAX', System.Data.DataRowVersion.Current, nil));
  Self.bdpInsertCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('T' +
      'AXRATE', Borland.Data.Common.BdpType.Double, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(8)), (Byte(0)), 
        8, 'TAXRATE', System.Data.DataRowVersion.Current, nil));
  Self.bdpInsertCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('C' +
      'ONTACT', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(20)), (Byte(0)), 
        20, 'CONTACT', System.Data.DataRowVersion.Current, nil));
  Self.bdpInsertCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('L' +
      'ASTINVOICEDATE', Borland.Data.Common.BdpType.DateTime, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(16)), (Byte(0)), 
        16, 'LASTINVOICEDATE', System.Data.DataRowVersion.Current, nil));
  Self.bdpInsertCommand1.SchemaName := nil;
  Self.bdpInsertCommand1.Transaction := nil;
  Self.bdpInsertCommand1.UpdatedRowSource := System.Data.UpdateRowSource.None;
  // 
  // bdpUpdateCommand1
  // 
  Self.bdpUpdateCommand1.CommandOptions := nil;
  Self.bdpUpdateCommand1.CommandText := 'UPDATE CUSTOMER SET CUSTNO = ?, COM' +
  'PANY = ?, ADDR1 = ?, ADDR2 = ?, CITY = ?, STATE = ?, ZIP = ?, COUNTRY = ?' +
  ', PHONE = ?, FAX = ?, TAXRATE = ?, CONTACT = ?, LASTINVOICEDATE = ? WHERE' +
  ' CUSTNO = ? AND COMPANY = ? AND ADDR1 = ? AND ADDR2 = ? AND CITY = ? AND ' +
  'STATE = ? AND ZIP = ? AND COUNTRY = ? AND PHONE = ? AND FAX = ? AND TAXRA' +
  'TE = ? AND CONTACT = ? AND LASTINVOICEDATE = ?';
  Self.bdpUpdateCommand1.CommandType := System.Data.CommandType.Text;
  Self.bdpUpdateCommand1.Connection := nil;
  Self.bdpUpdateCommand1.ParameterCount := (SmallInt(26));
  Self.bdpUpdateCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('C' +
      'USTNO', Borland.Data.Common.BdpType.Double, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(8)), (Byte(0)), 
        8, 'CUSTNO', System.Data.DataRowVersion.Current, nil));
  Self.bdpUpdateCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('C' +
      'OMPANY', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(30)), (Byte(0)), 
        30, 'COMPANY', System.Data.DataRowVersion.Current, nil));
  Self.bdpUpdateCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('A' +
      'DDR1', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(30)), (Byte(0)), 
        30, 'ADDR1', System.Data.DataRowVersion.Current, nil));
  Self.bdpUpdateCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('A' +
      'DDR2', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(30)), (Byte(0)), 
        30, 'ADDR2', System.Data.DataRowVersion.Current, nil));
  Self.bdpUpdateCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('C' +
      'ITY', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(15)), (Byte(0)), 
        15, 'CITY', System.Data.DataRowVersion.Current, nil));
  Self.bdpUpdateCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('S' +
      'TATE', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(20)), (Byte(0)), 
        20, 'STATE', System.Data.DataRowVersion.Current, nil));
  Self.bdpUpdateCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('Z' +
      'IP', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(10)), (Byte(0)), 
        10, 'ZIP', System.Data.DataRowVersion.Current, nil));
  Self.bdpUpdateCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('C' +
      'OUNTRY', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(20)), (Byte(0)), 
        20, 'COUNTRY', System.Data.DataRowVersion.Current, nil));
  Self.bdpUpdateCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('P' +
      'HONE', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(15)), (Byte(0)), 
        15, 'PHONE', System.Data.DataRowVersion.Current, nil));
  Self.bdpUpdateCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('F' +
      'AX', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(15)), (Byte(0)), 
        15, 'FAX', System.Data.DataRowVersion.Current, nil));
  Self.bdpUpdateCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('T' +
      'AXRATE', Borland.Data.Common.BdpType.Double, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(8)), (Byte(0)), 
        8, 'TAXRATE', System.Data.DataRowVersion.Current, nil));
  Self.bdpUpdateCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('C' +
      'ONTACT', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(20)), (Byte(0)), 
        20, 'CONTACT', System.Data.DataRowVersion.Current, nil));
  Self.bdpUpdateCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('L' +
      'ASTINVOICEDATE', Borland.Data.Common.BdpType.DateTime, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(16)), (Byte(0)), 
        16, 'LASTINVOICEDATE', System.Data.DataRowVersion.Current, nil));
  Self.bdpUpdateCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('C' +
      'USTNOOriginal', Borland.Data.Common.BdpType.Double, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(8)), (Byte(0)), 
        8, 'CUSTNO', System.Data.DataRowVersion.Original, nil));
  Self.bdpUpdateCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('C' +
      'OMPANYOriginal', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(30)), (Byte(0)), 
        30, 'COMPANY', System.Data.DataRowVersion.Original, nil));
  Self.bdpUpdateCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('A' +
      'DDR1Original', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(30)), (Byte(0)), 
        30, 'ADDR1', System.Data.DataRowVersion.Original, nil));
  Self.bdpUpdateCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('A' +
      'DDR2Original', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(30)), (Byte(0)), 
        30, 'ADDR2', System.Data.DataRowVersion.Original, nil));
  Self.bdpUpdateCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('C' +
      'ITYOriginal', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(15)), (Byte(0)), 
        15, 'CITY', System.Data.DataRowVersion.Original, nil));
  Self.bdpUpdateCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('S' +
      'TATEOriginal', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(20)), (Byte(0)), 
        20, 'STATE', System.Data.DataRowVersion.Original, nil));
  Self.bdpUpdateCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('Z' +
      'IPOriginal', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(10)), (Byte(0)), 
        10, 'ZIP', System.Data.DataRowVersion.Original, nil));
  Self.bdpUpdateCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('C' +
      'OUNTRYOriginal', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(20)), (Byte(0)), 
        20, 'COUNTRY', System.Data.DataRowVersion.Original, nil));
  Self.bdpUpdateCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('P' +
      'HONEOriginal', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(15)), (Byte(0)), 
        15, 'PHONE', System.Data.DataRowVersion.Original, nil));
  Self.bdpUpdateCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('F' +
      'AXOriginal', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(15)), (Byte(0)), 
        15, 'FAX', System.Data.DataRowVersion.Original, nil));
  Self.bdpUpdateCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('T' +
      'AXRATEOriginal', Borland.Data.Common.BdpType.Double, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(8)), (Byte(0)), 
        8, 'TAXRATE', System.Data.DataRowVersion.Original, nil));
  Self.bdpUpdateCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('C' +
      'ONTACTOriginal', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(20)), (Byte(0)), 
        20, 'CONTACT', System.Data.DataRowVersion.Original, nil));
  Self.bdpUpdateCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('L' +
      'ASTINVOICEDATEOriginal', Borland.Data.Common.BdpType.DateTime, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(16)), (Byte(0)), 
        16, 'LASTINVOICEDATE', System.Data.DataRowVersion.Original, nil));
  Self.bdpUpdateCommand1.SchemaName := nil;
  Self.bdpUpdateCommand1.Transaction := nil;
  Self.bdpUpdateCommand1.UpdatedRowSource := System.Data.UpdateRowSource.None;
  // 
  // bdpDeleteCommand1
  // 
  Self.bdpDeleteCommand1.CommandOptions := nil;
  Self.bdpDeleteCommand1.CommandText := 'DELETE FROM CUSTOMER WHERE CUSTNO =' +
  ' ? AND COMPANY = ? AND ADDR1 = ? AND ADDR2 = ? AND CITY = ? AND STATE = ?' +
  ' AND ZIP = ? AND COUNTRY = ? AND PHONE = ? AND FAX = ? AND TAXRATE = ? AN' +
  'D CONTACT = ? AND LASTINVOICEDATE = ?';
  Self.bdpDeleteCommand1.CommandType := System.Data.CommandType.Text;
  Self.bdpDeleteCommand1.Connection := nil;
  Self.bdpDeleteCommand1.ParameterCount := (SmallInt(13));
  Self.bdpDeleteCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('C' +
      'USTNOOriginal', Borland.Data.Common.BdpType.Double, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(8)), (Byte(0)), 
        8, 'CUSTNO', System.Data.DataRowVersion.Original, nil));
  Self.bdpDeleteCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('C' +
      'OMPANYOriginal', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(30)), (Byte(0)), 
        30, 'COMPANY', System.Data.DataRowVersion.Original, nil));
  Self.bdpDeleteCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('A' +
      'DDR1Original', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(30)), (Byte(0)), 
        30, 'ADDR1', System.Data.DataRowVersion.Original, nil));
  Self.bdpDeleteCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('A' +
      'DDR2Original', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(30)), (Byte(0)), 
        30, 'ADDR2', System.Data.DataRowVersion.Original, nil));
  Self.bdpDeleteCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('C' +
      'ITYOriginal', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(15)), (Byte(0)), 
        15, 'CITY', System.Data.DataRowVersion.Original, nil));
  Self.bdpDeleteCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('S' +
      'TATEOriginal', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(20)), (Byte(0)), 
        20, 'STATE', System.Data.DataRowVersion.Original, nil));
  Self.bdpDeleteCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('Z' +
      'IPOriginal', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(10)), (Byte(0)), 
        10, 'ZIP', System.Data.DataRowVersion.Original, nil));
  Self.bdpDeleteCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('C' +
      'OUNTRYOriginal', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(20)), (Byte(0)), 
        20, 'COUNTRY', System.Data.DataRowVersion.Original, nil));
  Self.bdpDeleteCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('P' +
      'HONEOriginal', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(15)), (Byte(0)), 
        15, 'PHONE', System.Data.DataRowVersion.Original, nil));
  Self.bdpDeleteCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('F' +
      'AXOriginal', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(15)), (Byte(0)), 
        15, 'FAX', System.Data.DataRowVersion.Original, nil));
  Self.bdpDeleteCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('T' +
      'AXRATEOriginal', Borland.Data.Common.BdpType.Double, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(8)), (Byte(0)), 
        8, 'TAXRATE', System.Data.DataRowVersion.Original, nil));
  Self.bdpDeleteCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('C' +
      'ONTACTOriginal', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(20)), (Byte(0)), 
        20, 'CONTACT', System.Data.DataRowVersion.Original, nil));
  Self.bdpDeleteCommand1.Parameters.Add(Borland.Data.Common.BdpParameter.Create('L' +
      'ASTINVOICEDATEOriginal', Borland.Data.Common.BdpType.DateTime, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(16)), (Byte(0)), 
        16, 'LASTINVOICEDATE', System.Data.DataRowVersion.Original, nil));
  Self.bdpDeleteCommand1.SchemaName := nil;
  Self.bdpDeleteCommand1.Transaction := nil;
  Self.bdpDeleteCommand1.UpdatedRowSource := System.Data.UpdateRowSource.None;
  // 
  // BdpDataAdapter1
  // 
  Self.BdpDataAdapter1.Active := False;
  Self.BdpDataAdapter1.DataSet := Self.DataSet1;
  Self.BdpDataAdapter1.DataTable := Self.DataTable1;
  Self.BdpDataAdapter1.DeleteCommand := Self.bdpDeleteCommand1;
  Self.BdpDataAdapter1.InsertCommand := Self.bdpInsertCommand1;
  Self.BdpDataAdapter1.MaxRecords := 0;
  Self.BdpDataAdapter1.SelectCommand := Self.BdpCommand1;
  Self.BdpDataAdapter1.StartRecord := 0;
  Self.BdpDataAdapter1.UpdateCommand := Self.bdpUpdateCommand1;
  // 
  // DataGrid1
  // 
  Self.DataGrid1.AlternatingBackColor := System.Drawing.Color.Lavender;
  Self.DataGrid1.BackColor := System.Drawing.Color.WhiteSmoke;
  Self.DataGrid1.BackgroundColor := System.Drawing.Color.LightGray;
  Self.DataGrid1.BorderStyle := System.Windows.Forms.BorderStyle.None;
  Self.DataGrid1.CaptionBackColor := System.Drawing.Color.LightSteelBlue;
  Self.DataGrid1.CaptionForeColor := System.Drawing.Color.MidnightBlue;
  Self.DataGrid1.CaptionText := 'Clients et Commandes';
  Self.DataGrid1.DataMember := '';
  Self.DataGrid1.DataSource := Self.DataSet1;
  Self.DataGrid1.Dock := System.Windows.Forms.DockStyle.Top;
  Self.DataGrid1.FlatMode := True;
  Self.DataGrid1.Font := System.Drawing.Font.Create('Microsoft Sans Serif', 8);
  Self.DataGrid1.ForeColor := System.Drawing.Color.MidnightBlue;
  Self.DataGrid1.GridLineColor := System.Drawing.Color.Gainsboro;
  Self.DataGrid1.GridLineStyle := System.Windows.Forms.DataGridLineStyle.None;
  Self.DataGrid1.HeaderBackColor := System.Drawing.Color.MidnightBlue;
  Self.DataGrid1.HeaderFont := System.Drawing.Font.Create('Microsoft Sans Se' +
    'rif', 8);
  Self.DataGrid1.HeaderForeColor := System.Drawing.Color.WhiteSmoke;
  Self.DataGrid1.LinkColor := System.Drawing.Color.Teal;
  Self.DataGrid1.Location := System.Drawing.Point.Create(0, 0);
  Self.DataGrid1.Name := 'DataGrid1';
  Self.DataGrid1.ParentRowsBackColor := System.Drawing.Color.Gainsboro;
  Self.DataGrid1.ParentRowsForeColor := System.Drawing.Color.MidnightBlue;
  Self.DataGrid1.SelectionBackColor := System.Drawing.Color.CadetBlue;
  Self.DataGrid1.SelectionForeColor := System.Drawing.Color.WhiteSmoke;
  Self.DataGrid1.Size := System.Drawing.Size.Create(569, 159);
  Self.DataGrid1.TabIndex := 0;
  // 
  // Button1
  // 
  Self.Button1.Location := System.Drawing.Point.Create(487, 554);
  Self.Button1.Name := 'Button1';
  Self.Button1.TabIndex := 1;
  Self.Button1.Text := 'Mise  jour!';
  Include(Self.Button1.Click, Self.Button1_Click);
  // 
  // bdpInsertCommand2
  // 
  Self.bdpInsertCommand2.CommandOptions := nil;
  Self.bdpInsertCommand2.CommandText := 'INSERT INTO ORDERS (ORDERNO, CUSTNO' +
  ', SALEDATE, SHIPDATE, EMPNO, SHIPTOCONTACT, SHIPTOADDR1, SHIPTOADDR2, SHI' +
  'PTOCITY, SHIPTOSTATE, SHIPTOZIP, SHIPTOCOUNTRY, SHIPTOPHONE, SHIPVIA, PO,' +
  ' TERMS, PAYMENTMETHOD, ITEMSTOTAL, TAXRATE, FREIGHT, AMOUNTPAID ) VALUES ' +
  '( ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)';
  Self.bdpInsertCommand2.CommandType := System.Data.CommandType.Text;
  Self.bdpInsertCommand2.Connection := nil;
  Self.bdpInsertCommand2.ParameterCount := (SmallInt(21));
  Self.bdpInsertCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('O' +
      'RDERNO', Borland.Data.Common.BdpType.Double, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(8)), (Byte(0)), 
        8, 'ORDERNO', System.Data.DataRowVersion.Current, nil));
  Self.bdpInsertCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('C' +
      'USTNO', Borland.Data.Common.BdpType.Double, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(8)), (Byte(0)), 
        8, 'CUSTNO', System.Data.DataRowVersion.Current, nil));
  Self.bdpInsertCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('S' +
      'ALEDATE', Borland.Data.Common.BdpType.DateTime, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(16)), (Byte(0)), 
        16, 'SALEDATE', System.Data.DataRowVersion.Current, nil));
  Self.bdpInsertCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('S' +
      'HIPDATE', Borland.Data.Common.BdpType.DateTime, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(16)), (Byte(0)), 
        16, 'SHIPDATE', System.Data.DataRowVersion.Current, nil));
  Self.bdpInsertCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('E' +
      'MPNO', Borland.Data.Common.BdpType.Int32, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(4)), (Byte(0)), 
        4, 'EMPNO', System.Data.DataRowVersion.Current, nil));
  Self.bdpInsertCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('S' +
      'HIPTOCONTACT', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(20)), (Byte(0)), 
        20, 'SHIPTOCONTACT', System.Data.DataRowVersion.Current, nil));
  Self.bdpInsertCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('S' +
      'HIPTOADDR1', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(30)), (Byte(0)), 
        30, 'SHIPTOADDR1', System.Data.DataRowVersion.Current, nil));
  Self.bdpInsertCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('S' +
      'HIPTOADDR2', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(30)), (Byte(0)), 
        30, 'SHIPTOADDR2', System.Data.DataRowVersion.Current, nil));
  Self.bdpInsertCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('S' +
      'HIPTOCITY', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(15)), (Byte(0)), 
        15, 'SHIPTOCITY', System.Data.DataRowVersion.Current, nil));
  Self.bdpInsertCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('S' +
      'HIPTOSTATE', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(20)), (Byte(0)), 
        20, 'SHIPTOSTATE', System.Data.DataRowVersion.Current, nil));
  Self.bdpInsertCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('S' +
      'HIPTOZIP', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(10)), (Byte(0)), 
        10, 'SHIPTOZIP', System.Data.DataRowVersion.Current, nil));
  Self.bdpInsertCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('S' +
      'HIPTOCOUNTRY', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(20)), (Byte(0)), 
        20, 'SHIPTOCOUNTRY', System.Data.DataRowVersion.Current, nil));
  Self.bdpInsertCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('S' +
      'HIPTOPHONE', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(15)), (Byte(0)), 
        15, 'SHIPTOPHONE', System.Data.DataRowVersion.Current, nil));
  Self.bdpInsertCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('S' +
      'HIPVIA', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(7)), (Byte(0)), 
        7, 'SHIPVIA', System.Data.DataRowVersion.Current, nil));
  Self.bdpInsertCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('P' +
      'O', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(15)), (Byte(0)), 
        15, 'PO', System.Data.DataRowVersion.Current, nil));
  Self.bdpInsertCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('T' +
      'ERMS', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(6)), (Byte(0)), 
        6, 'TERMS', System.Data.DataRowVersion.Current, nil));
  Self.bdpInsertCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('P' +
      'AYMENTMETHOD', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(7)), (Byte(0)), 
        7, 'PAYMENTMETHOD', System.Data.DataRowVersion.Current, nil));
  Self.bdpInsertCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('I' +
      'TEMSTOTAL', Borland.Data.Common.BdpType.Double, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(8)), (Byte(0)), 
        8, 'ITEMSTOTAL', System.Data.DataRowVersion.Current, nil));
  Self.bdpInsertCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('T' +
      'AXRATE', Borland.Data.Common.BdpType.Double, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(8)), (Byte(0)), 
        8, 'TAXRATE', System.Data.DataRowVersion.Current, nil));
  Self.bdpInsertCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('F' +
      'REIGHT', Borland.Data.Common.BdpType.Double, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(8)), (Byte(0)), 
        8, 'FREIGHT', System.Data.DataRowVersion.Current, nil));
  Self.bdpInsertCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('A' +
      'MOUNTPAID', Borland.Data.Common.BdpType.Double, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(8)), (Byte(0)), 
        8, 'AMOUNTPAID', System.Data.DataRowVersion.Current, nil));
  Self.bdpInsertCommand2.SchemaName := nil;
  Self.bdpInsertCommand2.Transaction := nil;
  Self.bdpInsertCommand2.UpdatedRowSource := System.Data.UpdateRowSource.None;
  // 
  // bdpUpdateCommand2
  // 
  Self.bdpUpdateCommand2.CommandOptions := nil;
  Self.bdpUpdateCommand2.CommandText := 'UPDATE ORDERS SET ORDERNO = ?, CUST' +
  'NO = ?, SALEDATE = ?, SHIPDATE = ?, EMPNO = ?, SHIPTOCONTACT = ?, SHIPTOA' +
  'DDR1 = ?, SHIPTOADDR2 = ?, SHIPTOCITY = ?, SHIPTOSTATE = ?, SHIPTOZIP = ?' +
  ', SHIPTOCOUNTRY = ?, SHIPTOPHONE = ?, SHIPVIA = ?, PO = ?, TERMS = ?, PAY' +
  'MENTMETHOD = ?, ITEMSTOTAL = ?, TAXRATE = ?, FREIGHT = ?, AMOUNTPAID = ? ' +
  'WHERE ORDERNO = ?';
  Self.bdpUpdateCommand2.CommandType := System.Data.CommandType.Text;
  Self.bdpUpdateCommand2.Connection := nil;
  Self.bdpUpdateCommand2.ParameterCount := (SmallInt(22));
  Self.bdpUpdateCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('O' +
      'RDERNO', Borland.Data.Common.BdpType.Double, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(8)), (Byte(0)), 
        8, 'ORDERNO', System.Data.DataRowVersion.Current, nil));
  Self.bdpUpdateCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('C' +
      'USTNO', Borland.Data.Common.BdpType.Double, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(8)), (Byte(0)), 
        8, 'CUSTNO', System.Data.DataRowVersion.Current, nil));
  Self.bdpUpdateCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('S' +
      'ALEDATE', Borland.Data.Common.BdpType.DateTime, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(16)), (Byte(0)), 
        16, 'SALEDATE', System.Data.DataRowVersion.Current, nil));
  Self.bdpUpdateCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('S' +
      'HIPDATE', Borland.Data.Common.BdpType.DateTime, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(16)), (Byte(0)), 
        16, 'SHIPDATE', System.Data.DataRowVersion.Current, nil));
  Self.bdpUpdateCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('E' +
      'MPNO', Borland.Data.Common.BdpType.Int32, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(4)), (Byte(0)), 
        4, 'EMPNO', System.Data.DataRowVersion.Current, nil));
  Self.bdpUpdateCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('S' +
      'HIPTOCONTACT', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(20)), (Byte(0)), 
        20, 'SHIPTOCONTACT', System.Data.DataRowVersion.Current, nil));
  Self.bdpUpdateCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('S' +
      'HIPTOADDR1', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(30)), (Byte(0)), 
        30, 'SHIPTOADDR1', System.Data.DataRowVersion.Current, nil));
  Self.bdpUpdateCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('S' +
      'HIPTOADDR2', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(30)), (Byte(0)), 
        30, 'SHIPTOADDR2', System.Data.DataRowVersion.Current, nil));
  Self.bdpUpdateCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('S' +
      'HIPTOCITY', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(15)), (Byte(0)), 
        15, 'SHIPTOCITY', System.Data.DataRowVersion.Current, nil));
  Self.bdpUpdateCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('S' +
      'HIPTOSTATE', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(20)), (Byte(0)), 
        20, 'SHIPTOSTATE', System.Data.DataRowVersion.Current, nil));
  Self.bdpUpdateCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('S' +
      'HIPTOZIP', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(10)), (Byte(0)), 
        10, 'SHIPTOZIP', System.Data.DataRowVersion.Current, nil));
  Self.bdpUpdateCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('S' +
      'HIPTOCOUNTRY', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(20)), (Byte(0)), 
        20, 'SHIPTOCOUNTRY', System.Data.DataRowVersion.Current, nil));
  Self.bdpUpdateCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('S' +
      'HIPTOPHONE', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(15)), (Byte(0)), 
        15, 'SHIPTOPHONE', System.Data.DataRowVersion.Current, nil));
  Self.bdpUpdateCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('S' +
      'HIPVIA', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(7)), (Byte(0)), 
        7, 'SHIPVIA', System.Data.DataRowVersion.Current, nil));
  Self.bdpUpdateCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('P' +
      'O', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(15)), (Byte(0)), 
        15, 'PO', System.Data.DataRowVersion.Current, nil));
  Self.bdpUpdateCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('T' +
      'ERMS', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(6)), (Byte(0)), 
        6, 'TERMS', System.Data.DataRowVersion.Current, nil));
  Self.bdpUpdateCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('P' +
      'AYMENTMETHOD', Borland.Data.Common.BdpType.&String, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(7)), (Byte(0)), 
        7, 'PAYMENTMETHOD', System.Data.DataRowVersion.Current, nil));
  Self.bdpUpdateCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('I' +
      'TEMSTOTAL', Borland.Data.Common.BdpType.Double, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(8)), (Byte(0)), 
        8, 'ITEMSTOTAL', System.Data.DataRowVersion.Current, nil));
  Self.bdpUpdateCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('T' +
      'AXRATE', Borland.Data.Common.BdpType.Double, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(8)), (Byte(0)), 
        8, 'TAXRATE', System.Data.DataRowVersion.Current, nil));
  Self.bdpUpdateCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('F' +
      'REIGHT', Borland.Data.Common.BdpType.Double, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(8)), (Byte(0)), 
        8, 'FREIGHT', System.Data.DataRowVersion.Current, nil));
  Self.bdpUpdateCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('A' +
      'MOUNTPAID', Borland.Data.Common.BdpType.Double, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(8)), (Byte(0)), 
        8, 'AMOUNTPAID', System.Data.DataRowVersion.Current, nil));
  Self.bdpUpdateCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('O' +
      'RDERNOOriginal', Borland.Data.Common.BdpType.Double, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(8)), (Byte(0)), 
        8, 'ORDERNO', System.Data.DataRowVersion.Original, nil));
  Self.bdpUpdateCommand2.SchemaName := nil;
  Self.bdpUpdateCommand2.Transaction := nil;
  Self.bdpUpdateCommand2.UpdatedRowSource := System.Data.UpdateRowSource.None;
  // 
  // bdpDeleteCommand2
  // 
  Self.bdpDeleteCommand2.CommandOptions := nil;
  Self.bdpDeleteCommand2.CommandText := 'DELETE FROM ORDERS WHERE ORDERNO = ' +
  '?';
  Self.bdpDeleteCommand2.CommandType := System.Data.CommandType.Text;
  Self.bdpDeleteCommand2.Connection := nil;
  Self.bdpDeleteCommand2.ParameterCount := (SmallInt(1));
  Self.bdpDeleteCommand2.Parameters.Add(Borland.Data.Common.BdpParameter.Create('O' +
      'RDERNOOriginal', Borland.Data.Common.BdpType.Double, Borland.Data.Common.BdpType.Unknown, 
        0, System.Data.ParameterDirection.Input, False, (Byte(8)), (Byte(0)), 
        8, 'ORDERNO', System.Data.DataRowVersion.Original, nil));
  Self.bdpDeleteCommand2.SchemaName := nil;
  Self.bdpDeleteCommand2.Transaction := nil;
  Self.bdpDeleteCommand2.UpdatedRowSource := System.Data.UpdateRowSource.None;
  // 
  // BdpDataAdapter2
  // 
  Self.BdpDataAdapter2.Active := False;
  Self.BdpDataAdapter2.DataSet := Self.DataSet1;
  Self.BdpDataAdapter2.DataTable := Self.DataTable2;
  Self.BdpDataAdapter2.DeleteCommand := Self.bdpDeleteCommand2;
  Self.BdpDataAdapter2.InsertCommand := Self.bdpInsertCommand2;
  Self.BdpDataAdapter2.SelectCommand := Self.BdpCommand2;
  Self.BdpDataAdapter2.StartRecord := 0;
  Self.BdpDataAdapter2.UpdateCommand := Self.bdpUpdateCommand2;
  // 
  // BdpCommand2
  // 
  Self.BdpCommand2.CommandOptions := nil;
  Self.BdpCommand2.CommandText := 'SELECT ORDERNO, CUSTNO, SALEDATE, SHIPDAT' +
  'E, EMPNO, SHIPTOCONTACT, SHIPTOADDR1, SHIPTOADDR2, SHIPTOCITY, SHIPTOSTAT' +
  'E, SHIPTOZIP, SHIPTOCOUNTRY, SHIPTOPHONE, SHIPVIA, PO, TERMS, PAYMENTMETH' +
  'OD, ITEMSTOTAL, TAXRATE, FREIGHT, AMOUNTPAID FROM ORDERS';
  Self.BdpCommand2.CommandType := System.Data.CommandType.Text;
  Self.BdpCommand2.Connection := Self.BdpConnection1;
  Self.BdpCommand2.ParameterCount := (SmallInt(0));
  Self.BdpCommand2.SchemaName := nil;
  Self.BdpCommand2.Transaction := nil;
  Self.BdpCommand2.UpdatedRowSource := System.Data.UpdateRowSource.None;
  // 
  // DataGrid2
  // 
  Self.DataGrid2.AlternatingBackColor := System.Drawing.Color.Gainsboro;
  Self.DataGrid2.BackColor := System.Drawing.Color.Silver;
  Self.DataGrid2.BorderStyle := System.Windows.Forms.BorderStyle.FixedSingle;
  Self.DataGrid2.CaptionBackColor := System.Drawing.Color.DarkSlateBlue;
  Self.DataGrid2.CaptionFont := System.Drawing.Font.Create('Microsoft Sans S' +
    'erif', 8, System.Drawing.FontStyle.Bold);
  Self.DataGrid2.CaptionForeColor := System.Drawing.Color.White;
  Self.DataGrid2.CaptionText := 'Clients';
  Self.DataGrid2.DataMember := '';
  Self.DataGrid2.DataSource := Self.DataTable1;
  Self.DataGrid2.Dock := System.Windows.Forms.DockStyle.Top;
  Self.DataGrid2.FlatMode := True;
  Self.DataGrid2.Font := System.Drawing.Font.Create('Microsoft Sans Serif', 8.25, 
      System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, (Byte(0)));
  Self.DataGrid2.ForeColor := System.Drawing.Color.Black;
  Self.DataGrid2.GridLineColor := System.Drawing.Color.White;
  Self.DataGrid2.HeaderBackColor := System.Drawing.Color.DarkGray;
  Self.DataGrid2.HeaderForeColor := System.Drawing.Color.Black;
  Self.DataGrid2.LinkColor := System.Drawing.Color.DarkSlateBlue;
  Self.DataGrid2.Location := System.Drawing.Point.Create(0, 186);
  Self.DataGrid2.Name := 'DataGrid2';
  Self.DataGrid2.ParentRowsBackColor := System.Drawing.Color.Black;
  Self.DataGrid2.ParentRowsForeColor := System.Drawing.Color.White;
  Self.DataGrid2.SelectionBackColor := System.Drawing.Color.DarkSlateBlue;
  Self.DataGrid2.SelectionForeColor := System.Drawing.Color.White;
  Self.DataGrid2.Size := System.Drawing.Size.Create(569, 179);
  Self.DataGrid2.TabIndex := 2;
  // 
  // DataGrid3
  // 
  Self.DataGrid3.AlternatingBackColor := System.Drawing.Color.GhostWhite;
  Self.DataGrid3.BackColor := System.Drawing.Color.GhostWhite;
  Self.DataGrid3.BackgroundColor := System.Drawing.Color.Lavender;
  Self.DataGrid3.BorderStyle := System.Windows.Forms.BorderStyle.None;
  Self.DataGrid3.CaptionBackColor := System.Drawing.Color.RoyalBlue;
  Self.DataGrid3.CaptionForeColor := System.Drawing.Color.White;
  Self.DataGrid3.CaptionText := 'Commandes';
  Self.DataGrid3.DataMember := '';
  Self.DataGrid3.DataSource := Self.DataTable2;
  Self.DataGrid3.Dock := System.Windows.Forms.DockStyle.Top;
  Self.DataGrid3.FlatMode := True;
  Self.DataGrid3.Font := System.Drawing.Font.Create('Microsoft Sans Serif', 8);
  Self.DataGrid3.ForeColor := System.Drawing.Color.MidnightBlue;
  Self.DataGrid3.GridLineColor := System.Drawing.Color.RoyalBlue;
  Self.DataGrid3.HeaderBackColor := System.Drawing.Color.MidnightBlue;
  Self.DataGrid3.HeaderFont := System.Drawing.Font.Create('Microsoft Sans Se' +
    'rif', 8);
  Self.DataGrid3.HeaderForeColor := System.Drawing.Color.Lavender;
  Self.DataGrid3.LinkColor := System.Drawing.Color.Teal;
  Self.DataGrid3.Location := System.Drawing.Point.Create(0, 365);
  Self.DataGrid3.Name := 'DataGrid3';
  Self.DataGrid3.ParentRowsBackColor := System.Drawing.Color.Lavender;
  Self.DataGrid3.ParentRowsForeColor := System.Drawing.Color.MidnightBlue;
  Self.DataGrid3.SelectionBackColor := System.Drawing.Color.Teal;
  Self.DataGrid3.SelectionForeColor := System.Drawing.Color.PaleGreen;
  Self.DataGrid3.Size := System.Drawing.Size.Create(569, 162);
  Self.DataGrid3.TabIndex := 3;
  // 
  // Panel1
  // 
  Self.Panel1.Dock := System.Windows.Forms.DockStyle.Top;
  Self.Panel1.Location := System.Drawing.Point.Create(0, 159);
  Self.Panel1.Name := 'Panel1';
  Self.Panel1.Size := System.Drawing.Size.Create(569, 27);
  Self.Panel1.TabIndex := 4;
  // 
  // TWinForm2
  // 
  Self.AutoScaleBaseSize := System.Drawing.Size.Create(5, 13);
  Self.ClientSize := System.Drawing.Size.Create(569, 582);
  Self.Controls.Add(Self.DataGrid3);
  Self.Controls.Add(Self.DataGrid2);
  Self.Controls.Add(Self.Button1);
  Self.Controls.Add(Self.Panel1);
  Self.Controls.Add(Self.DataGrid1);
  Self.Name := 'TWinForm2';
  Self.Text := 'WinForm2';
  Include(Self.Closing, Self.TWinForm2_Closing);
  (System.ComponentModel.ISupportInitialize(Self.DataSet1)).EndInit;
  (System.ComponentModel.ISupportInitialize(Self.DataTable1)).EndInit;
  (System.ComponentModel.ISupportInitialize(Self.DataTable2)).EndInit;
  (System.ComponentModel.ISupportInitialize(Self.BdpDataAdapter1)).EndInit;
  (System.ComponentModel.ISupportInitialize(Self.DataGrid1)).EndInit;
  (System.ComponentModel.ISupportInitialize(Self.BdpDataAdapter2)).EndInit;
  (System.ComponentModel.ISupportInitialize(Self.DataGrid2)).EndInit;
  (System.ComponentModel.ISupportInitialize(Self.DataGrid3)).EndInit;
  Self.ResumeLayout(False);
end;
{$ENDREGION}

procedure TWinForm2.Dispose(Disposing: Boolean);
begin
  if Disposing then
  begin
    if Components <> nil then
      Components.Dispose();
  end;
  inherited Dispose(Disposing);
end;

constructor TWinForm2.Create;
begin
  inherited Create;
  //
  // Obligatoire pour la gestion du concepteur de Windows Form
  //
  InitializeComponent;
  //
  // TODO: Ajouter du code au constructeur aprs l'appel de InitializeComponent
  //
  BdpDataAdapter1.Active:=true;
  BdpDataAdapter2.Active:=true;
end;

procedure TWinForm2.TWinForm2_Closing(sender: System.Object; e: System.ComponentModel.CancelEventArgs);
begin
  BdpDataAdapter2.Active:=false;
  BdpDataAdapter1.Active:=false;
  BdpConnection1.Close;
end;

procedure TWinForm2.Button1_Click(sender: System.Object; e: System.EventArgs);
begin
  BdpConnection1.Open;
  BdpDataAdapter1.Update(DataTable1);
  BdpDataAdapter2.Update(DataTable2);
  BdpConnection1.Close;
end;


end.
